%define version    5.0
%define release    14

# The behaviour of the rpm-build package for python files varies between 
# releases.  Sometime in the FC4 timeframe it gained a file 
# /usr/lib/rpm/brp-python-bytecompile which generates pyo and pyc files for py 
# files, in a phase after the install.
# This macro is needed to turn this off, for building on FC4/RHEL5 and later:
%define byte_compiled_python 0

Name:           hts
Summary:        Red Hat Hardware Test Suite
Version:        %{version}
Release:        %{release}
Group:          QA
License:        GPL
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Conflicts: rhr-core, rhr-auto, rhr-interact, rhr-crush, rhts-testhelpers, rhts-testhelpers, rhts-testhelpers-developer
Obsoletes: hts, rhr2-rhel4, rhr2-tests, rhr2-externals
# need to check this. Requires: diffutils, rpm-build, /usr/bin/xmllint, /etc/sysconfig/init, httpd, 
# sox, cdrecord, bc, dosfstools, sysreport, ethtool, net-tools, nfs-utils, e2fsprogs, mt-st, 
# hotplug, /usr/X11R6/bin/x11perf, perl, up2date >= 4.2.57-2, kudzu, ltp, lmbench, dt, schedutils
Requires: lmbench, dt, httpd, nfs-utils, stress, gcc, PyXML, xorg-x11-apps



%description
Red Hat Hardware Test Suite certifies hardware for Red Hat Enterprise Linux

%prep
%setup -q -c 


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make

%install
DESTDIR=$RPM_BUILD_ROOT make install-noarch

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post
service iptables stop
chkconfig iptables off

%files 
%defattr(-,root,root)
/usr/bin/rhts-environment.sh
/usr/bin/rhts-run-simple-test
/usr/bin/rhts-report-result
/usr/bin/hts
/usr/share/hts
/usr/lib/python2.4/site-packages/hts

%changelog

