#!/usr/bin/python
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or 
# redistribute it subject to the terms and conditions of the GNU General 
# Public License v.2.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

import os
import sys
import syslog
import errno
import tempfile
import md5
import time


class Controller:
    
    def removeDirectory(self, dir):
        "Remove a directory (and all its contents)"
        try:
            for (root,dirs,files) in os.walk(dir, topdown=False):
                for f in files: os.unlink(os.path.join(root,f))
                for d in dirs: os.rmdir(os.path.join(root,d))
            os.rmdir(dir)
        except OSError:
            return
    def makeDirectoryPath(self, dir):
        """Emulate mkdir -p behavior: create the given directory, including all
        needed parent directories. Do not return an error if the directories 
        already exist."""
        try:
            os.makedirs(dir)
        except OSError, e:
            if e.errno != errno.EEXIST: raise
    

            
