#!/bin/bash
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Ported by : YangKun <ykun@redhat.com>
#
# Quick butcher from floppy.sh : Rob Landry <rlandry@redhat.com>
#


# find the number of sockets.
get_socket_count() {
    # perhaps this should use the hal data instead; though I'm not certain
    # it's always 1:1 for cardbus bridges (0x0607) to sockets.
    /sbin/pccardctl ident | grep Socket | wc -l
}

socket_test() {
    SOCKET_COUNT=`get_socket_count`
    local socket=0

    # Verify the sockets are occupied when we start
    until [ $socket -ge $SOCKET_COUNT ]; do
        pccardctl ident $socket | grep -q "no product" && 
        echo "Error! Unable to stat Socket $socket." &&
        return 1
        let ++socket
    done

    socket=0
    # Power cycle through the sockets
    until [ $socket -ge $SOCKET_COUNT ]; do
        pccardctl eject $socket
        pccardctl insert $socket
        pccardctl ident $socket
        let ++socket
    done
}

# run the test 
socket_test


