#!/bin/bash
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Ported by : YangKun <ykun@redhat.com>
#

# returns the tape info
# we want the test to run only for the UDI passed by the test harness. 
get-tape-info() {
  ST=`hal-get-property --udi $UDI --key info.linux.driver | sed -e "s/\/dev\///g"`
  SCSI_HOST=`hal-get-property --udi $UDI --key scsi.host`
  TAPE_DEVICE=$ST$SCSI_HOST
}

parse_tape() {
  local -a line=(`echo $1 | sed -e 's/(/ /g' -e 's/)//g'`)
  st=${line[0]}
  bs=`expr ${line[1]:-32} \* 2`
}

# main test
tape_test() {
  get-tape-info
  if [ -z $TAPE_DEVICE ]; then
    echo "  Error! No tape device found ! "
    return 1
  fi
  clear
  echo "  Find tape device $TAPE_DEVICE, will use it to do the test ! "
  echo "  Please insert a tape into $TAPE_DEVICE and then press ENTER "
  echo "  to continue ! "
  read
  echo ""
  echo ""
  echo "  Tape test is running, please be patient ... "
  parse_tape $TAPE_DEVICE
  mt -f /dev/$st rewind
  tar -Pcb $bs -f /dev/$st /usr
  tar -db $bs -f /dev/$st /usr
}

# run the test
tape_test

